from django.contrib import admin
from django.http import HttpRequest, HttpResponse
from django.shortcuts import render
from django.urls import path, include
from django.conf.urls.i18n import i18n_patterns


def landing_page(req: HttpRequest) -> HttpResponse:
    return render(req, "facturio/index.html")


urlpatterns = i18n_patterns(
    path("", landing_page, name="main-page"),
    path("accounts/", include("accounts.urls")),
    path("subjects/", include("subjects.urls")),
    path("admin/", admin.site.urls),
    prefix_default_language=False
)
