from django.db import models

from django.utils.translation import gettext_lazy as _


class Subject(models.Model):
    class Meta:
        verbose_name = _("Subject")
        verbose_name_plural = _("Subjects")

    id = models.CharField(
        _("CIN"),
        max_length=8,
        primary_key=True
    )

    name = models.CharField(
        _("Name"),
        max_length=128
    )

    vat_id = models.CharField(
        _("VAT ID"),
        max_length=12,
        null=True,
        blank=True
    )

    street = models.CharField(
        _("Street"),
        max_length=64,
    )

    zip_code = models.CharField(
        _("Zip Code"),
        max_length=6,
    )

    city = models.CharField(
        _("City"),
        max_length=64,
    )

    city_part = models.CharField(
        _("City part"),
        max_length=64,
        null=True,
        blank=True
    )

    def __str__(self):
        return self.name
